//:Tetrahedron.java -- extends Shape class
package com.pdx4d.polys;

public class Tetrahedron extends Shape {

    public Tetrahedron(){
       setcolor("Orange");
       shapevolume = 1;
       noverts = 4;
       noedges = 6;
       edges  = new int[][]{{0,1},{0,2},{0,3},{1,2},{1,3},{2,3}}; 
       points = new double[4][4];
       for (int i=0;i<noverts;i++) points[i][i]=1;
       faces = new int[][]{{0,1,2},{0,2,3},{0,3,1},{1,2,3}};
       meshable = true;
       pointradius = oMatrix.dist(points[0]);
    }

    public static void main(String[] args){}

}
